/// HORAIRE.HTML STYLE ///

/// LINES LIST > STYLE.SCSS ///

/// LINES INFO ///

.wrapper {
    
    @include tablet {
        width: 50%;
    }

    .line-info {
        display    : flex;
        align-items: center;
        width      : 100%;
        padding    : 1rem 0 0.5rem 0;
        
        .line-name {
            display        : flex;
            justify-content: center;
            align-items    : center;
            min-width      : 40px;
            min-height     : 40px;
            margin         : 0.5rem;
            border-radius  : 50%;
            font-size      : 1.3rem;
            color          : #000;
        }
    
        .line-direct {
            padding    : 0.5rem;
            margin-left: auto;
            font-size  : 1.2rem;
            text-align : right;
        }
    }
    
    .line-controls {
        display        : flex;
        justify-content: center;
        width          : 100%;
        padding        : 0.5rem 0;
        border-bottom  : 2px solid #000;
        
        &.hide {
            display: none;
        }
    
        &.show {
            display: flex;
        }
    
        #reverse {
            width : 20px;
            height: 20px;
        }
    }
    
    .line-time {
        width          : 100%;
        padding        : 0.5rem;
        margin-bottom  : 10vh;
        border-collapse: collapse;
    
        .line-info-row {
    
            &:nth-child(odd) {
                background-color: #b2b2b2;
                color           : #000;
            }
            
            .line-station {
                padding: 0.5rem;
            }
    
            .line-time {
                width     : 54px;
                padding   : 0.5rem;
                text-align: center;
            }
        }
    }
}